@use '../tools/mixins';

.j-hover-effect {
  &:hover {
    background-color: var(--j-primary-hover-color);
  }
}

.j-active-effect {
  &:active,
  &.active {
    background-color: var(--j-primary-active-color);
  }
}

.j-scrollbar {
  @include mixins.scrollbar;
}

.j-hide-scrollbar {
  @include mixins.hide-scrollbar;
}

.text-ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

a {
  color: initial;
  text-decoration: none;
}

:focus {
  outline: none;
}

.cursor {
  &-pointer {
    cursor: pointer;
  }
}

.forbid-selection {
  * {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
  }
}
